%set_verify_elf_method unresolved=relaxed
%define ver_major 1.9
%def_disable static

%def_with mysql
%def_with postgres
%def_with odbc
%def_with mdb
%def_with bdb
%def_without interbase
%def_with ldap
%def_without oracle
%def_with sqlite
%def_without tds
%def_without sybase
%def_without mono

Name: libgda
Version: %ver_major.103
Release: alt1.0

Summary: Library for writing gnome database programs
Group: System/Libraries
License: LGPL
Url: http://www.gnome-db.org/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-1.9.103-alt-Makefiles.patch
#Patch1: %name-alt-intltool.patch

Obsoletes: libgda2 < %version
Provides: libgda2 = %version-%release

BuildPreReq: gnome-common >= 2.8.0
BuildPreReq: perl-XML-Parser
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libxslt-devel >= 1.0.9
BuildPreReq: gtk-doc >= 1.0

#BuildRequires: rpm-utils less
# Automatically added by buildreq on Thu Sep 21 2006
BuildRequires: flex gcc-c++ libgamin-devel libncurses-devel libpopt-devel libreadline-devel intltool


%define mysql_ver 4.0.24
%define mdbtools_ver 0.6-alt3cvs20050908
%define ldap_ver 2.2.27-alt1.1
%define freetds_ver 0.63

%if_with postgres
BuildPreReq: libpq-devel
BuildPreReq: postgresql-devel
%endif

%if_with mysql
BuildPreReq: libMySQL-devel >= %mysql_ver
%endif

%if_with odbc
BuildPreReq: libunixODBC-devel
%endif

%if_with mdb
BuildPreReq: libmdbtools-devel >= %mdbtools_ver
%endif

%if_with interbase
#BuildPreReq: interbase
BuildPreReq: FirebirdCS 
%endif

%if_with sqlite
#BuildPreReq: sqlite
BuildPreReq: libsqlite3-devel
%endif

%if_with ldap
BuildPreReq: libldap-devel >= %ldap_ver
# while libldap-devel doesn't requires libsasl2-devel
BuildPreReq: libsasl2-devel
%endif

%if_with tds
BuildPreReq: libfreetds-devel >= %freetds_ver
%endif

%if_with bdb
BuildPreReq: libdb4.4-devel
%endif

%if_with mono
BuildPreReq: mono-devel  libgtk-sharp2-devel
%endif

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package providers
Summary: GDA service providers for %name
Group: System/Libraries
%if_with mysql
Requires: %name-mysql = %version-%release
%endif
%if_with postgres
Requires: %name-postgresql = %version-%release
%endif
%if_with odbc
Requires: %name-odbc = %version-%release
%endif
%if_with mdb
Requires: %name-mdb = %version-%release
%endif
%if_with interbase
Requires: %name-interbase = %version-%release
%endif
%if_with ldap
Requires: %name-ldap = %version-%release
%endif
%if_with tds
Requires: %name-tds = %version-%release
%endif
%if_with sqlite
Requires: %name-sqlite = %version-%release
%endif
%if_with bdb
Requires: %name-bdb = %version-%release
%endif



%description providers
This package includes:
%if_with ldap
GDA LDAP provider.
%endif
%if_with mysql
GDA MySQL provider.
%endif
%if_with postgres
GDA PostgreSQL provider.
%endif
%if_with odbc
GDA ODBC provider.
%endif
%if_with interbase
GDA Interbase provider.
%endif
%if_with ldap
GDA LDAP provider.
%endif
%if_with tds
Provider for TDS-based databases (using FreeTDS)
%endif
%if_with sqlite
GDA SQLite provider.
%endif
%if_with bdb
GDA BerkleyDB provider.
%endif

%package mysql
Summary: GDA MySQL Provider
Group: System/Libraries
Requires: %name = %version-%release

%description mysql
This package includes the GDA MySQL provider.

%package bdb
Summary: GDA BerkleyDB Provider
Group: System/Libraries
Requires: %name = %version-%release

%description bdb
This package includes the GDA BerkleyDB provider.

%package postgresql
Summary: GDA PostgreSQL Provider
Group: System/Libraries
Requires: %name = %version-%release

%description postgresql
This package includes the GDA PostgreSQL provider.

%package odbc
Summary: GDA ODBC Provider
Group: System/Libraries
Requires: %name = %version-%release

%description odbc
This package includes the GDA ODBC provider.

%package mdb
Summary: GDA MS Access Provider
Group: System/Libraries
Requires: %name = %version-%release

%description mdb
This package includes the GDA MS Access provider.

%package interbase
Summary: GDA Interbase Provider
Group: System/Libraries
Requires: %name = %version-%release
#Requires: interbase

%description interbase
This package includes the GDA Intebase provider

%package ldap
Summary: GDA LDAP Provider
Group: System/Libraries
Requires: %name = %version-%release

%description ldap
This package includes the GDA LDAP provider

%package tds
Summary: CDA Provider for TDS-based databases
Group: System/Libraries
Requires: %name = %version-%release

%description tds
This package includes the GDA provider for TDS-based databases (using
FreeTDS).

%package sqlite
Summary: GDA SQLite Provider
Group: System/Libraries
Requires: %name = %version-%release

%description sqlite
This package includes the GDA SQLite provider

%package sharp
Summary: GDA CLR (Mono) bindings
Group: System/Libraries
Requires: %name = %version-%release

%description sharp
This package includes the GDA CLR (Mono) API/bindings

%package devel
Summary: Development libraries and header files for libgda
Group: Development/C
Requires: %name = %version-%release
Obsoletes: libgda2-devel < %version
Provides: libgda2-devel = %version-%release


%if 0
Requires: %name-providers = %version-%release

%if_with openldap
Requires: libldap-devel >= %ldap_ver
# while libldap-devel doesn't requires libsasl2-devel
Requires: libsasl2-devel
%endif
%if_with mysql
Requires: libMySQL-devel >= %mysql_ver
%endif
%if_with postgres
Requires: postgresql-devel
%endif
%if_with odbc
Requires: libunixODBC-devel
%endif
%if_with interbase
Requires: interbase
%endif
%if_with tds
Requires: libfreetds-devel >= %freetds_ver
%endif
%if_with sqlite
Requires: libsqlite3-devel
%endif
%if_with bdb
Requires: libdb4.4-devel
%endif
%if_with mono
Requires: mono-devel
%endif

%endif

%description devel
This package contains the header files and libraries needed to write
or compile programs that use libgda.

%package devel-static
Summary: Static libraries for libgda
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains the static version of %name libraries.

%prep
%setup -q -n %name-%version
%patch -p1
#%%patch1 -p1

%build
autoreconf -fisv

%configure \
	%{subst_enable static} \
%if_with mysql
	--with-mysql=%prefix \
%endif
%if_with postgres
	--with-postgres=%prefix \
%endif
%if_with odbc
	--with-odbc \
%endif
%if_with mdb
	--with-mdb \
%endif
%if_with oracle
	--with-oracle \
%endif
%if_with interbase
	--with-interbase=%prefix \
%else
	--with-interbase=no \
%endif
%if_with tds
	--with-tds \
%else
	--with-tds=no \
%endif
%if_with sybase
	--with-sybase \
%else
	--with-sybase=no \
%endif
%if_with sqlite
	--with-sqlite
%endif

# SMP-incompatible build
%make

# TODO:
# linking with recursive dependencies
#for d in handlers sql-delimiter graph; do
#	rm -f libgda/$d/*.la
#	%make -C libgda/$d LIBS="`pwd`/libgda/libgda-3.la"
#done
#%%make -C libgda

%install
#subst '/^relink_command=.*$/d' libgda/*/*.la libgda/*.la
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name %name-3

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-3.lang
%_bindir/*
%_libdir/*.so.*
%dir %_libdir/%name-%ver_major
%dir %_libdir/%name-%ver_major/providers
%_datadir/%name
%_mandir/man?/*
%config(noreplace) %_sysconfdir/%name/config
%doc AUTHORS ChangeLog README NEWS

%files providers

%if_with mysql
%files mysql
%_libdir/%name-%ver_major/*/*-mysql.so
%endif

%if_with postgres
%files postgresql
%_libdir/%name-%ver_major/*/*-postgres.so
%endif

%if_with mdb
%files mdb
%_libdir/%name-%ver_major/*/*-mdb.so
%endif

%if_with bdb
%files bdb
%_libdir/%name-%ver_major/*/*-bdb.so
%endif

%if_with odbc
%files odbc
%_libdir/%name-%ver_major/*/*-odbc.so
%endif

%if_with interbase
%files interbase
%_libdir/%name-%ver_major/*/*-firebird.so
%endif

%if_with ldap
%files ldap
%_libdir/%name-%ver_major/*/*-ldap.so
%endif

%if_with tds
%files tds
%_libdir/%name-%ver_major/*/*-freetds.so
%endif

%if_with sqlite
%files sqlite
%_libdir/%name-%ver_major/*/*-sqlite.so
%endif

%if_with mono
%files sharp
%_libdir/mono/TODO ME!
%endif

%files devel -f %name.lang
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/gtk-doc/*/%name

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/%name-%ver_major/*/*.a
%endif

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.9.103-alt1.0
- Fixed postgresql build dependencies.
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Fri Sep 15 2006 Ildar Mulyukov <ildar@altlinux.ru> 1.9.103-alt1
- renamed libgda2 -> libgda
- newer version of libdb(4.4) for providers
- xml provider not exist any more
- no mSQL, IBM DB2, Xbase support
- mono support preparing

* Mon Jun 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.91-alt1.1.1.1
- Rebuilt with libldap-2.3.so.0.

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.91-alt1.1.1
- Rebuilt for new pkg-config dependencies.

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.91-alt1.1
- Rebuilt with libreadline.so.5.

* Mon Nov 28 2005 Vital Khilko <vk@altlinux.ru> 1.3.91-alt1
- 1.3.91

* Mon Oct 31 2005 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed postgres dependencies

* Fri Oct 28 2005 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Mon Nov 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.99-alt1
- 1.1.99
- mdb provider temporarily disabled (not ready for 0.6).

* Fri Jun 25 2004 Vital Khilko <vk@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Fri May 28 2004 Vital Khilko <vk@altlinux.ru> 1.1.2-alt2
- rebuilded with sqlite and without interbase providers

* Mon Apr 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt2
- gda-export.h provided by libgda2-devel subpackage.

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Sep 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt2
- rebuild with new mysql.
- removed unusual dependencies (fix #3012).

* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.90.0-alt1
- 0.90.0

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- interbase support disabled. !!!

* Thu May 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12.0
- new tds provider package.

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Sun Feb 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt2
- fixed buildreqs (close #2181).

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- new version.
- mdb provider.

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.199-alt2
- Removed wrong dependence on postgresql-libs for main package (#1660)

* Mon Oct 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.199-alt1
- 0.8.199

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt1
- Adopted for Sisyphus.
- devel-static package.
- providers moved in separate packages.

* Tue Feb 26 2002 Chris Chabot <chabotc@reviewboard.com>
- Added defines and configure flags for all supported DB types

* Mon Feb 25 2002 Chris Chabot <chabotc@reviewboard.com>
- Cleaned up formatting
- Added Requirements
- Added defines for postgres, mysql, odbc support

* Thu Feb 21 2002 Chris Chabot <chabotc@reviewboard.com>
- Initial spec file
